| Home | Libraries | People | FAQ | More

## Struct template result<This(Cont, Size, A0, A1), typename enable_if< is_integral< typename remove_const< typename remove_reference< Size >::type >::type > >::type>

boost::xpressive::op::insert::result<This(Cont, Size, A0, A1), typename enable_if< is_integral< typename remove_const< typename remove_reference< Size >::type >::type > >::type>

## Synopsis

    // In header: <boost/xpressive/regex_actions.hpp>

    template<typename This, typename Cont, typename Size, typename A0,
             typename A1>
    struct result<This(Cont, Size, A0, A1), typename enable_if< is_integral< typename remove_const< typename remove_reference< Size >::type >::type > >::type> {
      // types
      typedef remove_reference< Cont >::type & type;
    };